<?php
/**
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

// If the page class is defined, add to class as suffix.
// It will be a separate class if the user starts it with a space
?>
<div class="blog-featured<?php echo $this->pageclass_sfx;?>">
<?php if ( $this->params->get('show_page_heading')!=0) : ?>
	<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
<?php endif; ?>

<div class="dynlayout_container">

<?php 
$leadingcount=0 ;
$db =& JFactory::getDBO();  
?>
 
<?php if (!empty($this->lead_items)) : ?>
<div class="items-leading">
	<?php foreach ($this->lead_items as &$item) : ?>
	<?php
		$sql = "SELECT attribs FROM #__content WHERE id = ".intval($item->id);  
		$db->setQuery($sql);  
		$orig_attr = $db->loadResult();  
		$parms = json_decode($orig_attr,true);
		$a_suffix = "";
		if($parms['article_layout']){
		   $a_suffix = explode(':',$parms['article_layout']);
		   $a_suffix = $a_suffix[1];
		}
		
		 
	?>
		<div class="item <?php echo $a_suffix;?> leading-<?php echo $leadingcount; ?><?php echo $item->state == 0 ? ' system-unpublished' : null; ?>">
			<?php
				$this->item = &$item;
				echo $this->loadTemplate('item');
				echo $item->params->get('article_layout');
			?>
		</div>
		<?php
			$leadingcount++;
		?>
	<?php endforeach; ?>
</div>
<?php endif; ?>
<?php
	$introcount=(count($this->intro_items));
	$counter=0;
?>
<?php if (!empty($this->intro_items)) : ?>
	<?php foreach ($this->intro_items as $key => &$item) : ?>

	<?php
		$key= ($key-$leadingcount)+1;
		$rowcount=( ((int)$key-1) %	(int) $this->columns) +1;
		$row = $counter / $this->columns ;

		if ($rowcount==1) : ?>

			
		<?php endif; ?>
		
		<?php
			$sql = "SELECT attribs FROM #__content WHERE id = ".intval($item->id);  
			$db->setQuery($sql);  
			$orig_attr = $db->loadResult();  
			$parms = json_decode($orig_attr,true);
			$a_suffix = "";
			if($parms['article_layout']){
			   $a_suffix = explode(':',$parms['article_layout']);
			   $a_suffix = $a_suffix[1];
			}
			
			 
		?>
		
		<div class="item <?php echo $a_suffix;?> column-<?php echo $rowcount;?><?php echo $item->state == 0 ? ' system-unpublished"' : null; ?>">
			<?php
					$this->item = &$item;
					echo $this->loadTemplate('item');
					
					  
					
					
					
			?>
		</div>
		<?php $counter++; ?>
			<?php if (($rowcount == $this->columns) or ($counter ==$introcount)): ?>
				

			<?php endif; ?>
	<?php endforeach; ?>
<?php endif; ?>

<?php if (!empty($this->link_items)) : ?>
	<div class="items-more">
	<?php echo $this->loadTemplate('links'); ?>
	</div>
<?php endif; ?>

</div> <!--  dynlayout_container-->

<?php if ($this->params->def('show_pagination', 2) == 1  || ($this->params->get('show_pagination') == 2 && $this->pagination->get('pages.total') > 1)) : ?>
	<div class="pagination">

		<?php if ($this->params->def('show_pagination_results', 1)) : ?>
			<p class="counter">
				<?php echo $this->pagination->getPagesCounter(); ?>
			</p>
		<?php  endif; ?>
				<?php echo $this->pagination->getPagesLinks(); ?>
	</div>
<?php endif; ?>

</div>
